const redis = require('redis');
const _oblogger_ = require ('./ob-logger').logger ("hippodamus.cache");

// create redis middleware
let redisMiddleware = (durationInMinutes) => {

    return (req, res, next) => {

        var client = redis.createClient({
            // options for the redis driver
            host: 'ob-redis-cluster.vhgdcc.ng.0001.euw1.cache.amazonaws.com',
            port: 6379
        });
        
        client.on("error", function (err) {
            _oblogger_.error ("Error " + err);
        });
    
        let key = "__express__" + req.originalUrl || req.url;
        client.get(key, function(err, reply){
          if(reply){
              res.send(reply);
          }else{
              res.sendResponse = res.send;
              res.send = (body) => {
                  client.set(key, JSON.stringify(body), 'EX', durationInMinutes * 1000);
                  res.sendResponse(body);
              }
              next();
          }
        });
    
        client.end(true);
      };
};