var _locationModelHelper_ = require("../../../../src/helpers/location/model");
var _environment_ = require("../../../../src/environment");
var _location = require("../../../data/location.json");
var _locationResult = require("../../../data/location-final.json");

var chai = require('chai');
var expect  = chai.expect;

describe("Location Model Helper", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });

    it('can get location properties', function(done) {
    
        var locationProperties =  _locationModelHelper_.locationProperties;

        expect(locationProperties).not.to.be.null;
        done();
    });

    //
    it('can get all boolean location properties', function(done) {
        
        var locationProperties = _locationModelHelper_.ensureBooleanProperties(_location);
        
        expect(_locationResult).to.eql(locationProperties);
        done();
    });
});
    