require('module-alias/register');

module.exports = {

    core: require("./src/core"),
    promises: require("./src/promises"),
    util: require("./src/util"),
    request: require("./src/request"),
    images: require("./src/images"),
    logger: require("./src/ob-logger"),
    s3Manager: require("./src/s3-manager"),
    file: require("./src/file"),
    array: require("./src/array"),
    environment: require('./src/environment'),
    colors: require('./src/colors'),
    dbManager: require('./src/db-manager'),
    url: require('./src/url'),
    date: require('./src/date'),
    text: require('./src/text'),
    sequelizeWrapper: require('./src/sequelize'),
    nightmareWrapper: require('./src/nightmare-wrapper'),
    errors: require('./src/errors'),
    object: require('./src/object'),
    security: require('./src/security'),
    grabby: require('./src/grabby'),
    api: require('./src/api'),
    mailer: require('./src/mailer'),
    elasticClient: require('./src/elasticClient')
};