var _ = require("underscore");

module.exports = {

    getManagedEntityByTypeAndId: function (managed, type, id) {

      if (!_.isEmpty(managed)) {
        
        var result = null;

        _.each(managed, function (managedEntity) {

          var managedEntityId = parseInt(managedEntity.id, 10);
          var requestedEntityId = parseInt(id, 10);
          
          if (managedEntity.type == type
              && managedEntityId == requestedEntityId) {

                result = managedEntity;
              }
        });

        return result;
      }
    }
}