var _ = require('underscore');

module.exports = {
    
    clean: function (objectToCleanUp) {

        if (!objectToCleanUp) return;

        var result = {};

        _.each(objectToCleanUp, function(value, key, obj) {

            if (!_.isNull(value) 
                && !_.isUndefined(value)) {

                result[key] = value;
            }
        }); 

        return result;
    },

    hasProperty: function (obj, key) { 

        return Object.prototype.hasOwnProperty.call(obj, key); 
    }
};