var _nightmare_ = require("../../src/nightmare-wrapper")();
var _environment_ = require("../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("Nightmare Wrapper", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });

    it('it works?', function(done) {
    
        _environment_.setAsDevelopment();

        var result = _nightmare_.getNightmare();

        expect(result).not.to.be.null;

        done();
    });
});
    